--- configure.ac 	1970-01-01 01:00:00.000000000 +0100
+++ configure.ac	2007-07-16 10:14:29.000000000 +0100
@@ -0,0 +1,14 @@
+AC_PREREQ(2.59)
+AC_INIT(blas, 20070226, lapack@cs.utk.edu)
+AM_INIT_AUTOMAKE([foreign])
+
+AC_LANG(Fortran 77)
+AC_PROG_F77
+AC_PROG_LIBTOOL
+
+AC_CONFIG_FILES([Makefile
+		 BLAS/Makefile
+		 BLAS/SRC/Makefile
+		 BLAS/TESTING/Makefile
+		 BLAS/blas.pc])
+AC_OUTPUT
--- Makefile.am 	1970-01-01 01:00:00.000000000 +0100
+++ Makefile.am	2007-07-16 01:51:11.000000000 +0100
@@ -0,0 +1 @@
+SUBDIRS = BLAS
--- BLAS/Makefile.am 	1970-01-01 01:00:00.000000000 +0100
+++ BLAS/Makefile.am	2007-08-14 11:38:42.000000000 +0100
@@ -0,0 +1,7 @@
+SUBDIRS = SRC TESTING
+
+pkgconfigdir = $(libdir)
+pkgconfig_DATA = blas.pc
+
+EXTRA = blas.pc
+
--- BLAS/blas.pc.in 	1970-01-01 01:00:00.000000000 +0100
+++ BLAS/blas.pc.in	2007-08-17 11:38:23.000000000 +0100
@@ -0,0 +1,11 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: @PACKAGE_NAME@
+Description: Basic Linear Algebra Subprograms F77 reference implementations
+Version: @PACKAGE_VERSION@
+URL: http://www.netlib.org/blas
+Libs: -lblas
+Libs.private: -lm
--- BLAS/SRC/Makefile.am 	1970-01-01 01:00:00.000000000 +0100
+++ BLAS/SRC/Makefile.am	2007-07-16 01:50:12.000000000 +0100
@@ -0,0 +1,153 @@
+lib_LTLIBRARIES = libblas.la
+
+libblas_la_SOURCES = \
+	caxpy.f \
+	ccopy.f \
+	cdotc.f \
+	cdotu.f \
+	cgbmv.f \
+	cgemm.f \
+	cgemv.f \
+	cgerc.f \
+	cgeru.f \
+	chbmv.f \
+	chemm.f \
+	chemv.f \
+	cher2.f \
+	cher2k.f \
+	cher.f \
+	cherk.f \
+	chpmv.f \
+	chpr2.f \
+	chpr.f \
+	crotg.f \
+	cscal.f \
+	csrot.f \
+	csscal.f \
+	cswap.f \
+	csymm.f \
+	csyr2k.f \
+	csyrk.f \
+	ctbmv.f \
+	ctbsv.f \
+	ctpmv.f \
+	ctpsv.f \
+	ctrmm.f \
+	ctrmv.f \
+	ctrsm.f \
+	ctrsv.f \
+	dasum.f \
+	daxpy.f \
+	dcabs1.f \
+	dcopy.f \
+	ddot.f \
+	dgbmv.f \
+	dgemm.f \
+	dgemv.f \
+	dger.f \
+	dnrm2.f \
+	drot.f \
+	drotg.f \
+	drotm.f \
+	drotmg.f \
+	dsbmv.f \
+	dscal.f \
+	dsdot.f \
+	dspmv.f \
+	dspr2.f \
+	dspr.f \
+	dswap.f \
+	dsymm.f \
+	dsymv.f \
+	dsyr2.f \
+	dsyr2k.f \
+	dsyr.f \
+	dsyrk.f \
+	dtbmv.f \
+	dtbsv.f \
+	dtpmv.f \
+	dtpsv.f \
+	dtrmm.f \
+	dtrmv.f \
+	dtrsm.f \
+	dtrsv.f \
+	dzasum.f \
+	dznrm2.f \
+	icamax.f \
+	idamax.f \
+	isamax.f \
+	izamax.f \
+	lsame.f \
+	scabs1.f \
+	sasum.f \
+	saxpy.f \
+	scasum.f \
+	scnrm2.f \
+	scopy.f \
+	sdot.f \
+	sdsdot.f \
+	sgbmv.f \
+	sgemm.f \
+	sgemv.f \
+	sger.f \
+	snrm2.f \
+	srot.f \
+	srotg.f \
+	srotm.f \
+	srotmg.f \
+	ssbmv.f \
+	sscal.f \
+	sspmv.f \
+	sspr2.f \
+	sspr.f \
+	sswap.f \
+	ssymm.f \
+	ssymv.f \
+	ssyr2.f \
+	ssyr2k.f \
+	ssyr.f \
+	ssyrk.f \
+	stbmv.f \
+	stbsv.f \
+	stpmv.f \
+	stpsv.f \
+	strmm.f \
+	strmv.f \
+	strsm.f \
+	strsv.f \
+	xerbla.f \
+	zaxpy.f \
+	zcopy.f \
+	zdotc.f \
+	zdotu.f \
+	zdrot.f \
+	zdscal.f \
+	zgbmv.f \
+	zgemm.f \
+	zgemv.f \
+	zgerc.f \
+	zgeru.f \
+	zhbmv.f \
+	zhemm.f \
+	zhemv.f \
+	zher2.f \
+	zher2k.f \
+	zher.f \
+	zherk.f \
+	zhpmv.f \
+	zhpr2.f \
+	zhpr.f \
+	zrotg.f \
+	zscal.f \
+	zswap.f \
+	zsymm.f \
+	zsyr2k.f \
+	zsyrk.f \
+	ztbmv.f \
+	ztbsv.f \
+	ztpmv.f \
+	ztpsv.f \
+	ztrmm.f \
+	ztrmv.f \
+	ztrsm.f \
+	ztrsv.f
--- BLAS/TESTING/Makefile.am 	1970-01-01 01:00:00.000000000 +0100
+++ BLAS/TESTING/Makefile.am	2007-07-16 01:50:12.000000000 +0100
@@ -0,0 +1,27 @@
+TESTS = blas_tests
+
+blas_tests:
+	@install -m0755 blas_tests.sh blas_tests
+
+check_PROGRAMS = \
+	xsblat1 xdblat1 xcblat1 xzblat1 \
+	xsblat2 xdblat2 xcblat2 xzblat2 \
+	xsblat3 xdblat3 xcblat3 xzblat3
+
+LDADD = $(top_builddir)/BLAS/SRC/libblas.la
+
+xsblat1_SOURCES = sblat1.f
+xdblat1_SOURCES = dblat1.f
+xcblat1_SOURCES = cblat1.f
+xzblat1_SOURCES = zblat1.f
+
+xsblat2_SOURCES = sblat2.f
+xdblat2_SOURCES = dblat2.f
+xcblat2_SOURCES = cblat2.f
+xzblat2_SOURCES = zblat2.f
+
+xsblat3_SOURCES = sblat3.f
+xdblat3_SOURCES = dblat3.f
+xcblat3_SOURCES = cblat3.f
+xzblat3_SOURCES = zblat3.f
+
--- BLAS/TESTING/blas_tests.sh 	1970-01-01 01:00:00.000000000 +0100
+++ BLAS/TESTING/blas_tests.sh	2007-07-16 01:50:12.000000000 +0100
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+for t in cblat1 sblat1 dblat1 zblat1; do
+    ./x${t}
+done
+
+for t in cblat2 sblat2 dblat2 zblat2 cblat3 sblat3 dblat3 zblat3;  do
+    ./x${t} < ../${t}.in
+done
